Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02313, UID# 2925
App. Status: Expired

Valid: 10/29/2020 - 11/01/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2628 (10/28/2020)

Charge Cost Quantity Total
Non-Taxable
added 10/28/2020 12:34 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 10/28/2020 12:34 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 10/28/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantMathew Clarys - 10/28/2020 12:34 PM
1a03b6ef4a1d669dee36910a6eeb7e56
6ed45a96369ab9f49af09e9d45a6f9eb
 
#1 Permit Issuing OfficialElroy Opp - 10/28/2020 12:52 PM
3a979076e4c2e48ecba773f28e22b67c
8922d2748ce9b81e08e3cb08162417a6
 
Permit has been approved. All signatures have been obtained.